<?php

// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('CA_FIRMA_COMPETENCIA', 'doctrine');

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of BaseCA_FIRMA_COMPETENCIA
 *
 * @author acontreras
 */
class BaseCA_FIRMA_COMPETENCIA extends sfDoctrineRecord {

    public function setTableDefinition() {
        $this->setTableName('CA_FIRMA_COMPETENCIA');
        $this->hasColumn('id_firma', 'integer', 8, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 8,
        ));
        $this->hasColumn('id_competencia', 'integer', 8, array(
            'notnull' => true,
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 8,
        ));
        $this->hasColumn('cargo', 'string', 50, array(
            'notnull' => true,
            'type' => 'string',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 50,
        ));
        $this->hasColumn('representante_competencia', 'string', 100, array(
            'notnull' => true,
            'type' => 'string',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 100,
        ));
        $this->hasColumn('estado', 'integer', 1, array(
            'notnull' => true,
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'default' => '0',
            'primary' => false,
            'length' => 1,
        ));
    }

    public function setUp() {
        parent::setUp();
    }

}